All requests below will use this key. Your API key is sent directly to api.cueapi.ai and never stored by the docs site.

POST/v1/executions/{execution_id}/replay

Replay Execution

Replay a completed or failed execution with the same payload.

execution_idstringrequiredpath

The execution UUID to replay.

Creates a new execution with the same cue and payload as the original. Only works on executions in terminal states: success, failed, missed, or outcome_timeout.

The new execution has triggered_by: "replay" and includes a replayed_from field pointing to the original execution ID.

Request

bash
curl -X POST https://api.cueapi.ai/v1/executions/550e8400-e29b-41d4-a716-446655440000/replay \
  -H "Authorization: Bearer YOUR_API_KEY"

Response

json
{
  "id": "660e8400-e29b-41d4-a716-446655440001",
  "cue_id": "cue_abc123",
  "scheduled_for": "2026-03-23T09:15:00Z",
  "status": "pending",
  "triggered_by": "replay",
  "replayed_from": "550e8400-e29b-41d4-a716-446655440000"
}
json
{"error": {"code": "execution_in_flight", "message": "Cannot replay an execution that is still in progress", "status": 409}}
json
{"error": {"code": "execution_not_found", "message": "Execution not found", "status": 404}}
How do I know if my agent ran successfully?
Ctrl+K